rte_event_crypto_adapter_queue_conf(3)

NAME
rte_event_crypto_adapter_queue_conf

SYNOPSIS

#include <rte_event_crypto_adapter.h>

  Data Fields

uint32_t flags
struct rte_event ev
uint16_t vector_sz
uint64_t vector_timeout_ns
struct rte_mempool * vector_mp

Detailed Description

Adapter queue configuration structure

Definition at line 293 of file rte_event_crypto_adapter.h.

Field Documentation

  uint32_t flags
Flags for handling crypto operations

See also
    RTE_EVENT_CRYPTO_ADAPTER_EVENT_VECTOR

Definition at line 294 of file rte_event_crypto_adapter.h.

  struct rte_event ev
If HW supports cryptodev queue pair to event queue binding, application is expected to fill in event information.

See also
    RTE_EVENT_CRYPTO_ADAPTER_CAP_INTERNAL_PORT_QP_EV_BIND

Definition at line 298 of file rte_event_crypto_adapter.h.

  uint16_t vector_sz
Indicates the maximum number for crypto operations to combine and form a vector.

See also
    rte_event_crypto_adapter_vector_limits::min_sz

    rte_event_crypto_adapter_vector_limits::max_sz Valid when RTE_EVENT_CRYPTO_ADAPTER_EVENT_VECTOR flag is set in

    rte_event_crypto_adapter_queue_conf::flags

Definition at line 303 of file rte_event_crypto_adapter.h.

  uint64_t vector_timeout_ns
Indicates the maximum number of nanoseconds to wait for aggregating crypto operations. Should be within vectorization limits of the adapter

See also
    rte_event_crypto_adapter_vector_limits::min_timeout_ns

    rte_event_crypto_adapter_vector_limits::max_timeout_ns Valid when RTE_EVENT_CRYPTO_ADAPTER_EVENT_VECTOR flag is set in

    rte_event_crypto_adapter_queue_conf::flags

Definition at line 311 of file rte_event_crypto_adapter.h.

  struct rte_mempool* vector_mp
Indicates the mempool that should be used for allocating rte_event_vector container. Should be created by using rte_event_vector_pool_create. Valid when RTE_EVENT_CRYPTO_ADAPTER_EVENT_VECTOR flag is set in

See also
    rte_event_crypto_adapter_queue_conf::flags.

Definition at line 321 of file rte_event_crypto_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.